Bug 1119000 - radeon.dpm=1 prevents 3d acceleration
Summary: radeon.dpm=1 prevents 3d acceleration
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 01:21 UTC by Renich Bon Ciric
Modified: 2015-06-29 21:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:26 UTC


Attachments (Terms of Use)
lspci (15.17 KB, text/plain)
2014-07-13 01:21 UTC, Renich Bon Ciric
no flags Details
lsmod (4.50 KB, text/plain)
2014-07-13 01:22 UTC, Renich Bon Ciric
no flags Details
Xorg.0.log (58.87 KB, text/x-log)
2014-07-13 01:22 UTC, Renich Bon Ciric
no flags Details

Description Renich Bon Ciric 2014-07-13 01:21:39 UTC
Created attachment 917584 [details]
lspci

Description of problem:
If I append radeon.dpm=1 to the kernel at boot time, 3d acceleration is affected.

It prevents GDM, KDM or XDM to work. The only one that seems unnaffected is LightDM since it doesn't use it.

It makes it impossible to use Gnome, KDE or any 3d accelerated desktop.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.2.0-3.20131101git3b38701.fc20.x86_64

How reproducible:
Use radeon and enable dpm. Reboot a few times. Most of the time, gdm will not work at all (it works sometimes).

Remove it and it will work.

Additional info:
This problem happens begining kernel 3.14.x until today; 3.15.3 at the moment.

If I don't use dpm, my video card starts overheating. I can't even get passed installation if it is not enabled.

The only fix I have left is the following, but it makes my graphics clumsy:

echo profile >  /sys/class/drm/card0/device/power_method
echo low >  /sys/class/drm/card0/device/power_profile

Comment 1 Renich Bon Ciric 2014-07-13 01:22:13 UTC
Created attachment 917585 [details]
lsmod

Comment 2 Renich Bon Ciric 2014-07-13 01:22:44 UTC
Created attachment 917586 [details]
Xorg.0.log

Comment 3 Fedora End Of Life 2015-05-29 12:21:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:34:26 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.